Retrieves all db Reports
Request Information
URI Parameters :
None.
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
db_report| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| db_report_type_id |
db report type id |
globally unique identifier |
Required |
| user_id |
Created user id |
globally unique identifier | |
| company_id |
The Final company that own this report (If WO Report, the company that owns the installation/project) |
globally unique identifier |
Optionally required : company_id,company_code or node company must be provided |
| company_code |
Embedded entity "company" using ERP PK when adding/updating db_report |
string |
Optionally required : company_id, company_code or company must be provided |
| company |
Embedded entity "company" when adding/updating db_report |
company |
Optionally required : company_id, company_code or company must be provided |
| db_table_name |
TableName which db report linked to. Possible value are jobs or meeting |
string |
Optionally required : db_table_id or db_table_name must be provided |
| db_table_id |
Table ID which db report linked to. |
globally unique identifier |
Optionally required : db_table_id or db_table_name must be provided |
| id_in_table |
Item id of the table which db report linked to |
globally unique identifier | |
| date_last_update |
Date last updated |
date | |
| reference_back_office | string |
Max length: 255 |
|
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "aaf5ac40-33e1-434b-9d51-ffd412ec1e00",
"db_report_type_id": "6b808f21-79ff-4e06-aa79-aec00fc65102",
"user_id": "36d060b1-11be-411a-87e1-944171fa33e3",
"company_id": "a9608524-e81e-41c5-b14d-1a998ba03938",
"company_code": "sample string 5",
"db_table_name": "sample string 6",
"db_table_id": "eca0c8c2-0bb4-4cec-90a7-6e8ed3602988",
"id_in_table": "12efa885-179a-4a22-8b97-6ae901fb81e1",
"date_last_update": "2026-10-08T16:01:12.2334963+00:00",
"reference_back_office": "sample string 10",
"modified_dateutc": "2026-10-08T16:01:12.2334963+00:00"
}